Package org.apache.struts2.dispatcher.multipart

# Class JakartaMultiPartRequest

java.lang.Object
org.apache.struts2.dispatcher.multipart.AbstractMultiPartRequest
org.apache.struts2.dispatcher.multipart.JakartaMultiPartRequest

All Implemented Interfaces:
  `MultiPartRequest`

public class JakartaMultiPartRequest extends AbstractMultiPartRequest
Multipart form data request adapter for Jakarta Commons FileUpload package.

- ## Field Summary

  ### Fields inherited from class org.apache.struts2.dispatcher.multipart.AbstractMultiPartRequest

  `BUFFER_SIZE, bufferSize, defaultEncoding, errors, maxFiles, maxFileSize, maxSize, maxSizeOfFiles, maxStringLength, parameters, STRUTS_MESSAGES_UPLOAD_ERROR_PARAMETER_TOO_LONG_KEY, uploadedFiles`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `JakartaMultiPartRequest()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected org.apache.commons.fileupload2.jakarta.servlet6.JakartaServletDiskFileUpload`
  `createJakartaFileUpload(Charset charset, Path saveDir)`
  Creates an instance of `JakartaServletDiskFileUpload` used by the parser to extract uploaded files
  `protected void`
  `processFileField(org.apache.commons.fileupload2.core.DiskFileItem item)`
  `protected void`
  `processNormalFormField(org.apache.commons.fileupload2.core.DiskFileItem item, Charset charset)`
  `protected void`
  `processUpload(jakarta.servlet.http.HttpServletRequest request, String saveDir)`
  Process the request extract file upload data

  ### Methods inherited from class org.apache.struts2.dispatcher.multipart.AbstractMultiPartRequest

  `buildErrorMessage, cleanUp, exceedsMaxStringLength, getCanonicalName, getContentType, getErrors, getFile, getFileNames, getFileParameterNames, getFilesystemName, getParameter, getParameterNames, getParameterValues, parse, prepareServletFileUpload, readCharsetEncoding, sanitizeNewlines, setBufferSize, setDefaultEncoding, setMaxFiles, setMaxFileSize, setMaxSize, setMaxSizeOfFiles, setMaxStringLength`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### JakartaMultiPartRequest

    public JakartaMultiPartRequest()

- ## Method Details

  - ### processUpload

    protected void processUpload(jakarta.servlet.http.HttpServletRequest request, String saveDir) throws IOException
    Description copied from class: `AbstractMultiPartRequest`
    Process the request extract file upload data
    Specified by:
      `processUpload` in class `AbstractMultiPartRequest`
    Parameters:
      `request` - current `HttpServletRequest`
      `saveDir` - a temporary directory to store files
    Throws:
      `IOException`

  - ### createJakartaFileUpload

    protected org.apache.commons.fileupload2.jakarta.servlet6.JakartaServletDiskFileUpload createJakartaFileUpload(Charset charset, Path saveDir)
    Description copied from class: `AbstractMultiPartRequest`
    Creates an instance of `JakartaServletDiskFileUpload` used by the parser to extract uploaded files
    Specified by:
      `createJakartaFileUpload` in class `AbstractMultiPartRequest`
    Parameters:
      `charset` - used charset from incoming request
      `saveDir` - a temporary folder to store uploaded files (not always needed)

  - ### processNormalFormField

    protected void processNormalFormField(org.apache.commons.fileupload2.core.DiskFileItem item, Charset charset) throws IOException
    Throws:
      `IOException`

  - ### processFileField

    protected void processFileField(org.apache.commons.fileupload2.core.DiskFileItem item)